from nextcloud_notes_api import NotesApi, Note

class Notetaker:

    username = None
    password = None
    url = None

    def __init__(self, username, password, url):
        self.username = username
        self.password = password
        self.url = url

    def generate_note(self, filename, note):
        api = NotesApi(self.username, self.password, self.url)
        ncnote = Note(title=filename, content=note, category="Voicenotes")
        api.create_note(ncnote)
